function [hr_peak,locs_hr,hr_freq,M1_hr,resp_peak,locs_resp,resp_freq,M1_resp,myo_peak,locs_myo,myo_freq,M1_myo,...
    neur_peak,locs_neur,neur_freq,M1_neur,eMeta_peak,locs_eMeta,eMeta_freq,M1_eMeta,VLF_peak,locs_VLF,VLF_freq,M1_VLF] = findPeaks_CWT(cwt1,M1)
hr_freq_stop=find(cwt1.frequencies<=0.6);
resp_freq_stop=find(cwt1.frequencies<=0.15);
myo_freq_stop=find(cwt1.frequencies<=0.052);
neur_freq_stop=find(cwt1.frequencies<=0.021);
eMeta_freq_stop=find(cwt1.frequencies<=0.0095);

hr_freq=cwt1.frequencies(1:hr_freq_stop(1));
resp_freq=cwt1.frequencies(hr_freq_stop(1):resp_freq_stop(1));
myo_freq=cwt1.frequencies(resp_freq_stop(1):myo_freq_stop(1));
neur_freq=cwt1.frequencies(myo_freq_stop(1):neur_freq_stop(1));
eMeta_freq=cwt1.frequencies(neur_freq_stop(1):eMeta_freq_stop(1));
VLF_freq=cwt1.frequencies(eMeta_freq_stop(1):end);

M1_hr=M1(1:hr_freq_stop(1));
M1_resp=M1(hr_freq_stop(1):resp_freq_stop(1));
M1_myo=M1(resp_freq_stop(1):myo_freq_stop(1));
M1_neur=M1(myo_freq_stop(1):neur_freq_stop(1));
M1_eMeta=M1(neur_freq_stop(1):eMeta_freq_stop(1));
M1_VLF=M1(eMeta_freq_stop(1):end);

[hr_peak,locs_hr]=findpeaks(M1_hr,'SortStr','descend');
[resp_peak,locs_resp]=findpeaks(M1_resp,'SortStr','descend');
[myo_peak,locs_myo]=findpeaks(M1_myo,'SortStr','descend');
[neur_peak,locs_neur]=findpeaks(M1_neur,'SortStr','descend');
[eMeta_peak,locs_eMeta]=findpeaks(M1_eMeta,'SortStr','descend');
[VLF_peak,locs_VLF]=findpeaks(M1_VLF,'SortStr','descend');




end

