pat_name={160317; 160329; 160331; 160406; 160407; 160413; 160421; 160510; 160512; 160524};
name={'160317'; '160329'; '160331'; '160406'; '160407'; '160413'; '160421'; '160510'; '160512'; '160524'};


for i=1:length(pat_name)
    cd(['C:\Users\GronnData\Documents\Skole\5.klasse\Master\HRV_analyse\' num2str(pat_name{i})])
    d=dir('*.mat'); 
    allNames={d.name};
    %if length(allNames)==4
    data{i}.name=pat_name{i};
    data{i}.pre=load(allNames{1});
    data{i}.post1=load(allNames{2});
    data{i}.post2=load(allNames{3});
    data{i}.post3=load(allNames{4});
    
    
    data{i}.pre.SDR=data{i}.pre.SD1/data{i}.pre.SD2;
    data{i}.post1.SDR=data{i}.post1.SD1/data{i}.post1.SD2;
    data{i}.post2.SDR=data{i}.post2.SD1/data{i}.post2.SD2;
    data{i}.post3.SDR=data{i}.post3.SD1/data{i}.post3.SD2;
    %end
    pre_SDR(i,1)= data{i}.pre.SDR;
    pre_SD1(i,1)= data{i}.pre.SD1;
    pre_SD2(i,1)= data{i}.pre.SD2;
    post1_SDR(i,1)= data{i}.post1.SDR;
    post1_SD1(i,1)= data{i}.post1.SD1;
    post1_SD2(i,1)= data{i}.post1.SD2;
    post2_SDR(i,1)= data{i}.post2.SDR;
    post2_SD1(i,1)= data{i}.post2.SD1;
    post2_SD2(i,1)= data{i}.post2.SD2;
    post3_SDR(i,1)= data{i}.post3.SDR;
    post3_SD1(i,1)= data{i}.post3.SD1;
    post3_SD2(i,1)= data{i}.post3.SD2;
end

tR=table(pat_name,pre_SDR,post1_SDR,post2_SDR,post3_SDR)
M=table2array(tR(:,2:end));
t1=table(pat_name,pre_SD1,post1_SD1,post2_SD1,post3_SD1)
M1=table2array(t1(:,2:end));
t2=table(pat_name,pre_SD2,post1_SD2,post2_SD2,post3_SD2)
M2=table2array(t2(:,2:end));

figure
for i=1:10
    Mn(i,:)=M(i,:)./M(i,1);
    Mn1(i,:)=M1(i,:)./M1(i,1);
    Mn2(i,:)=M2(i,:)./M2(i,1);
    plot(table2array(tR(i,2:end)))
    hold on
end
legend(name)
hold off

figure
subplot(2,1,1)
plot(M')
ax = gca;
ax.XTickLabel = {'Pre','','Post1','','Post2','','Post3'};
title('SDR')
legend(name)
subplot(2,1,2)
boxplot(M,'Labels',{'Pre','Post1','Post2','Post3'})
%plot(median(M))

figure
subplot(1,2,1)
plot(M1')
ylabel('[sec]')
ax = gca;
ax.XTick=[1,2,3,4];
ax.XTickLabel = {'Pre','Post1','Post2','Post3'};
title('SD1')
legend(name)
subplot(1,2,2)
boxplot(M1,'Labels',{'Pre','Post1','Post2','Post3'})
ylabel('[sec]')
title('SD1')
%plot(median(M1))

figure
subplot(1,2,1)
plot(M2')
ylabel('[sec]');
ax = gca;
ax.XTick=[1,2,3,4];
ax.XTickLabel = {'Pre','Post1','Post2','Post3'};
title('SD2')
legend(name)
subplot(1,2,2)
boxplot(M2,'Labels',{'Pre','Post1','Post2','Post3'})
ylabel('[sec]')
title('SD2')
%plot(median(M2))





