load('160223_Nr1.mat')


ECG=[];
LDF=[];

for i=1:size(dataend,2)
ECG=[ECG data(datastart(1,i):dataend(1,i))];
LDF=[LDF data(datastart(2,i):dataend(2,i))];
end

fs=samplerate(1,1);
L=length(ECG);
t=0:1/fs:L/fs-1/fs;

x=ECG(1000*fs:4000*fs);
t_x=t(1000*fs:4000*fs);

[ECG_w,t1_w,fs1_w,lvl1]=wavedecom(x,t_x,fs,2,'db4');
% ECG_w_mean=mean(ECG_w);
% ECG_w=ECG_w-ECG_w_mean;


cwt_1=cwtAnalysis(ECG_w,fs1_w,0.001,2);
cwt_plot1(cwt_1,t1_w,'ECG',1)

M1=mean(abs(cwt_1.cfs),2);  %ECG

figure(2)
semilogx(cwt_1.frequencies,abs(M1))
title('Frequency respons for ECG')
axis('tight')