load('M_table');
M_table=M_table(:,[1:2 4 3 5:end]);
M_table.segment_names=categorical(M_table.segment_names);
M_table.Patients=categorical(M_table.Patients);

%% Stats For segments
statarray = grpstats(M_table(:,4:end-1),'segment_names');


%% ttest

%% Pre og Post1
[h,p,ci,stats] = ttest2(table2array(M_table(1:10,5:end-1)),table2array(M_table(11:20,5:end-1)));

Var_names=M_table.Properties.VariableNames;
Var_names=Var_names(5:end-1)';
h=h';
p=p';
Pre_Post1=table(Var_names,h,p);

%% Post1 og post2

[h,p,ci,stats] = ttest2(table2array(M_table(11:20,5:end-1)),table2array(M_table(21:30,5:end-1)));

Var_names=M_table.Properties.VariableNames;
Var_names=Var_names(5:end-1)';
h=h';
p=p';
Post1_post2=table(Var_names,h,p);

%% Pre og post3

[h,p,ci,stats] = ttest2(table2array(M_table(1:10,5:end-1)),table2array(M_table(31:40,5:end-1)),0.15);

Var_names=M_table.Properties.VariableNames;
Var_names=Var_names(5:end-1)';
h=h';
p=p';
Pre_post3=table(Var_names,h,p)

%% LM
lme2=fitlme(M_table,'Peak_freq2_HR ~ 1 + seg_center + (1+seg_center|Patients)');
lme3=fitlme(M_table,'Peak_freq3_HR ~ 1 + seg_center + (1+seg_center|Patients)');





