function cwt_plot(cwt_y1,t1,sigName1,cwt_y2,t2,sigName2,cwt_y3,t3,sigName3,cwt_y4,t4,sigName4,figNR1,figNR2)


figure(figNR1)
subplot(4,1,1)
 args = {t1,cwt_y1.frequencies,abs(cwt_y1.cfs).^2};
        surf(args{:},'edgecolor','none');
        view(0,90);
        axis tight;
        shading interp; colormap(parula(128));
        h = colorbar;
        h.Label.String = 'Power';
        xlabel('Time'); ylabel('Hz');
        legend(sigName1)
        title('Time-Frequency respons')
        set(gca,'Yscale','log')
        
subplot(4,1,2)
 args = {t2,cwt_y2.frequencies,abs(cwt_y2.cfs).^2};
        surf(args{:},'edgecolor','none');
        view(0,90);
        axis tight;
        shading interp; colormap(parula(128));
        h = colorbar;
        h.Label.String = 'Power';
        xlabel('Time'); ylabel('Hz');
        legend(sigName2)
        set(gca,'Yscale','log')

subplot(4,1,3)
 args = {t3,cwt_y3.frequencies,abs(cwt_y3.cfs).^2};
        surf(args{:},'edgecolor','none');
        view(0,90);
        axis tight;
        shading interp; colormap(parula(128));
        h = colorbar;
        h.Label.String = 'Power';
        xlabel('Time'); ylabel('Hz');
        legend(sigName3)
        set(gca,'Yscale','log')
        
 subplot(4,1,4)
 args = {t4,cwt_y4.frequencies,abs(cwt_y4.cfs).^2};
        surf(args{:},'edgecolor','none');
        view(0,90);
        axis tight;
        shading interp; colormap(parula(128));
        h = colorbar;
        h.Label.String = 'Power';
        xlabel('Time'); ylabel('Hz');
        legend(sigName4)
        set(gca,'Yscale','log')


%helperCWTTimeFreqPlot(cwt_y.cfs,t,cwt_y.frequencies,...
   % 'surf',Name,'Time','Hz');


M1=mean(abs(cwt_y1.cfs),2);
M2=mean(abs(cwt_y2.cfs),2);
M3=mean(abs(cwt_y3.cfs),2);
M4=mean(abs(cwt_y4.cfs),2);

firstMin=num2str(floor(t1(1)/60));
lastMin=num2str(ceil(t1(end)/60));

figure(figNR2)
subplot(4,1,1)
semilogx(cwt_y1.frequencies,abs(M1))
title(['Avg freq respons for ' firstMin ' to ' lastMin 'min'])
legend(sigName1)
xlabel('Hz')
axis([0 max(cwt_y1.frequencies) min(abs(M1)) max(abs(M1))])
subplot(4,1,2)
semilogx(cwt_y2.frequencies,abs(M2))
legend(sigName2)
xlabel('Hz')
axis([0 max(cwt_y2.frequencies) min(abs(M2)) max(abs(M2))])
subplot(4,1,3)
semilogx(cwt_y3.frequencies,abs(M3))
legend(sigName3)
xlabel('Hz')
axis([0 max(cwt_y3.frequencies) min(abs(M3)) max(abs(M3))])
subplot(4,1,4)
semilogx(cwt_y4.frequencies,abs(M4))
legend(sigName4)
xlabel('Hz')
axis([0 max(cwt_y4.frequencies) min(abs(M4)) max(abs(M4))])


end

