function  fft_plot(x,fs,nfft,xName,varargin)

if nargin==5
    x_axis=varargin{1};
else
    x_axis='log';
end

f1_w = fs*(0:(nfft/2))/nfft;
ECG_w_fft=fft(x,nfft);
P_ECG=abs(ECG_w_fft(1:nfft/2+1)/nfft);

if strcmp('log',x_axis)
    semilogx(f1_w,smooth(P_ECG,1))
    title(['FFT of ' xName])
    axis([0.001 inf -inf inf])
end

if strcmp('lin',x_axis)
    plot(f1_w,smooth(P_ECG,1))
    title(['FFT of ' xName])
    axis([0.001 inf -inf inf])
end
end

