function wavedec_plot(x,t_x,xName,x_w,t_xw,xlvl,range)

min10=10*60; min20=20*60; min30=30*60; min40=40*60; min50=50*60;

subplot(211)
plot(t_x,x); hold on; grid
if range(1)<min10 && range(2)>min10; plot([min10 min10],[min(x) max(abs(x))],'r--'); end
if range(1)<min20 && range(2)>min20; plot([min20 min20],[min(x) max(abs(x))],'r--'); end
if range(1)<min30 && range(2)>min30; plot([min30 min30],[min(x) max(abs(x))],'r--'); end
if range(1)<min40 && range(2)>min40; plot([min40 min40],[min(x) max(abs(x))],'r--'); end
hold off
legend('original')
title(['Wavlet decomp ' xName])
axis('tight')
subplot(212)
plot(t_xw,x_w), hold on; grid
if range(1)<min10 && range(2)>min10; plot([min10 min10],[min(x_w) max(abs(x_w))],'r--'); end
if range(1)<min20 && range(2)>min20; plot([min20 min20],[min(x_w) max(abs(x_w))],'r--'); end
if range(1)<min30 && range(2)>min30; plot([min30 min30],[min(x_w) max(abs(x_w))],'r--'); end
if range(1)<min40 && range(2)>min40; plot([min40 min40],[min(x_w) max(abs(x_w))],'r--'); end
hold off
legend(['reconstructed at level: ' num2str(xlvl)])
axis('tight')


end

