function [HRV,locs_R] = findHRV(ECG,fs,varargin)
    
    %min_distans=fs/(maxHR_detect/60), ex:
    if nargin==3
        minDistance=varargin{1};
    else
        minDistance=100;
    end
    
    % peakhight could be % of max
    a=flip(sort(ECG));
    ECG_std=std(ECG);
    %minPeak=mean(a(1:500));
    %minPeak=mean(a)+(abs(mean(a)*0.7));
    ECG=ECG-mean(ECG);
    minPeak=mean(ECG)+1.5*ECG_std;
    [~,locs_R]=findpeaks(ECG,'MinPeakHeight',minPeak,'MinPeakDistance',minDistance);
    for i=1:length(locs_R)-1
        RR(i)=(locs_R(i+1)-locs_R(i));
    end
    HRV=1./(RR./fs);
end

